### Function

# Vips Foreign get_suffixes

#### Declaration [src]

    gchar**
    vips_foreign_get_suffixes (
      void
    )

#### Description [src]

Get a `NULL`-terminated array listing all the supported suffixes.

This is not the same as all the supported file types, since libvips detects image format for load by testing the first few bytes.

Use `vips_foreign_find_load()` to detect type for a specific file.

Free the return result with `g_strfreev()`.

#### Return value

Type: An array of `utf8`

All supported file extensions, as a `NULL`-terminated array.

The caller of the function takes ownership of the data, and is responsible for freeing it.
Each element is a NUL terminated UTF-8 string.